wibble::IteratorRange< It > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::IteratorRange< It >:
[legend]
Collaboration diagram for wibble::IteratorRange< It >:
[legend]

## Public Types

typedef std::iterator_traits< It >::value_type | Value
Public Types inherited from wibble::RangeMixin< std::iterator_traits< It >::value_type, IteratorRange< It > >
typedef IteratorRange< It > | RangeImplementation
typedef std::iterator_traits< It >::value_type | ElementType
typedef IteratorMixin< std::iterator_traits< It >::value_type, IteratorRange< It > > | Base
typedef RangeIterator< IteratorRange< It > > | iterator

## Public Member Functions

| IteratorRange ()
| IteratorRange (It c, It e)
Value | head () const
void | removeFirst ()
bool | operator<= (const IteratorRange &r) const
void | setToEmpty ()
Public Member Functions inherited from wibble::RangeMixin< std::iterator_traits< It >::value_type, IteratorRange< It > >
const IteratorRange< It > & | self () const
iterator | begin () const
iterator | end () const
std::iterator_traits< It >::value_type | head ()
IteratorRange< It > | tail () const
void | output (Consumer< std::iterator_traits< It >::value_type > t) const
bool | empty () const
| ~RangeMixin ()
Public Member Functions inherited from wibble::mixin::Comparable< IteratorRange< It > >
const IteratorRange< It > & | cmpSelf () const
bool | operator!= (const IteratorRange< It > &o) const
bool | operator== (const IteratorRange< It > &o) const
bool | operator< (const IteratorRange< It > &o) const
bool | operator> (const IteratorRange< It > &o) const
bool | operator>= (const IteratorRange< It > &o) const

## Protected Attributes

It | m_current
It | m_end

## Member Typedef Documentation

template<typename It>

typedef std::iterator_traits< It >::value_type wibble::IteratorRange< It >::Value

## Constructor & Destructor Documentation

template<typename It>

wibble::IteratorRange< It >::IteratorRange | ( |  | ) |

inline

template<typename It>

wibble::IteratorRange< It >::IteratorRange | ( | It | c,
|  | It | e
| ) |  |

inline

## Member Function Documentation

template<typename It>

Value wibble::IteratorRange< It >::head | ( |  | ) | const

inline

References wibble::IteratorRange< It >::m_current.

template<typename It>

bool wibble::IteratorRange< It >::operator<= | ( | const IteratorRange< It > & | r | ) | const

inline

References wibble::IteratorRange< It >::m_current, and wibble::IteratorRange< It >::m_end.

template<typename It>

void wibble::IteratorRange< It >::removeFirst | ( |  | ) |

inline

References wibble::IteratorRange< It >::m_current.

template<typename It>

void wibble::IteratorRange< It >::setToEmpty | ( |  | ) |

inline

References wibble::IteratorRange< It >::m_current, and wibble::IteratorRange< It >::m_end.

## Member Data Documentation

template<typename It>

It wibble::IteratorRange< It >::m_current

protected

Referenced by wibble::IteratorRange< It >::head(), wibble::IteratorRange< It >::operator<=(), wibble::IteratorRange< It >::removeFirst(), and wibble::IteratorRange< It >::setToEmpty().

template<typename It>

It wibble::IteratorRange< It >::m_end

protected

Referenced by wibble::IteratorRange< It >::operator<=(), and wibble::IteratorRange< It >::setToEmpty().

The documentation for this struct was generated from the following file:

- range.h